# Get a list of service categories

+ Options
  + company_id (required, number) - location ID
  + id (optional, number) - service category ID (to work with a specific category)
  + staff_id (optional, number) - team member ID (to get categories associated with a team member)

Endpoint: GET /locations/{location_id}/service_categories/{id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    location ID

  - `id` (number, required)
    Service Category ID

## Query parameters:

  - `team_member_id` (number)
    Team Member ID (to get categories associated with a Team Member)

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of objects

  - `data.id` (number)
    Category ID

  - `data.salon_service_id` (number)
    Category ID for the location on the chain

  - `data.title` (string)
    name of category

  - `data.api_id` (string)
    External Category ID

  - `data.weight` (number)
    Category weight (used to sort categories when displayed)

  - `data.staff` (array)
    List of team member IDs providing the service

  - `data.is_chain` (boolean)
    Whether category belongs to chain

  - `meta` (any)
    Metadata (object with total_count or empty array)

  - `meta.total_count` (number)
    Number of categories found

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (string)
    is null

  - `meta` (object)
    Metadata (error message)

  - `meta.message` (string)
    Error message

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (string)
    is null

  - `meta` (object)
    Metadata (contains possible error messages)

  - `meta.message` (string)
    Error message

  - `meta.errors` (array)
    List of error messages

  - `meta.errors.message` (string)

